Noom Stress and Anxiety System Requirements

Interested in joining the Noom Stress and Anxiety program? We’d love to have you!

There are a few system requirements to take advantage of Noom Stress and Anxiety which are outlined below.

  • You must use an Apple (iOS) smartphone that is running at least iOS 10.3.3
  • Currently only available in the United States in the English language.
  • Not available on desktop computers

It is also not possible to be on multiple Noom programs at the same time. We know that lasting change takes time so we encourage you to give Noom Stress and Anxiety a try after you have completed your current curriculum.

We apologize for any inconvenience this causes but thank you for your patience as we work to bring Noom Stress and Anxiety to everyone!

Chat Support